package de.lusiardi.testprojekt.exceptions;

import org.springframework.http.HttpStatus;
import org.springframework.web.bind.annotation.ResponseStatus;

/**
 * This Exception will be mapped to a 404 result. Reason will be written on the
 * exeption page.
 */
@ResponseStatus(value = HttpStatus.NOT_FOUND, reason = "Some static reason")
public class ResourceNotFoundException extends RuntimeException {
}
